on exitFrame
  global gSlideDelay
  if rollOver(6) then
    cursor(-1)
    set the movieRate of sprite 6 to 1
  else
    cursor(-1)
    set the movieRate of sprite 6 to 0
    setUpOptions()
    xidle()
  end if
  go(the frame)
end

on setUpOptions
  global gJumpList
  if gJumpList = [] then
    cursor(4)
    set the hilite of cast "optionCaptions" to 1
    set the hilite of cast "optionSpeech" to 1
    puppetSprite(27, 1)
    set r to the right of sprite 26 - 7
    set jump to the width of sprite 26 / 10
    set nextH to the left of sprite 26 + 1
    setAt(gJumpList, 1, nextH)
    setAt(gJumpList, 10, r)
    repeat with x = 1 to 8
      set nextH to nextH + (jump + 2)
      setAt(gJumpList, x + 1, nextH)
    end repeat
  end if
end

on xidle
  global gSlideDelay
  if the hilite of cast "Narrative" = 0 then
    if the hilite of cast "Interactive" = 0 then
      set the hilite of cast "Narrative" to 1
    end if
  end if
  if the hilite of cast "Narrative" = 1 then
    set the hilite of cast "Interactive" to 0
    revealNarrative()
  else
    if the hilite of cast "Interactive" = 1 then
      hideNarrative()
    end if
  end if
  if the hilite of cast "optionBy Year" = 1 then
    set the hilite of cast "optionEditorially" to 0
    if the hilite of cast "option1982" = 0 then
      if the hilite of cast "option1983" = 0 then
        if the hilite of cast "option1984" = 0 then
          set the hilite of cast "option1982" to 1
        end if
      end if
    end if
  else
    set the hilite of cast "optionEditorially" to 1
  end if
  if the hilite of cast "optionEditorially" = 1 then
    hideYears()
  else
    revealYears()
  end if
  if the hilite of cast "optionSpeech" = 1 then
    if the hilite of cast "optionLebanese" = 0 then
      if the hilite of cast "optionIsraeli" = 0 then
        set the hilite of cast "optionLebanese" to 1
        set the hilite of cast "optionIsraeli" to 1
      end if
    end if
  end if
  updateStage()
  if the hilite of cast "OptionSpeech" = 1 then
    puppetSprite(27, 1)
    set the locH of sprite 27 to the left of sprite 26 + 1
    put "1 Second" into field "slideDelay"
    updateStage()
    set gSlideDelay to 1
  else
    go("SB")
  end if
end

on revealNarrative
  puppetSprite(34, 1)
  set the locV of sprite 34 to -1000
end

on hideNarrative
  puppetSprite(34, 1)
  set the locV of sprite 34 to the bottom of sprite 29 + 16
end

on revealYears
  puppetSprite(31, 1)
  set the locV of sprite 31 to -1000
end

on hideYears
  puppetSprite(31, 1)
  set the locV of sprite 31 to the bottom of sprite 12 + 6
end

on hidespeechOptions
  puppetSprite(32, 1)
  set the locV of sprite 32 to the top of sprite 21 - 2
end

on revealSlider
  go("SB")
end
