on autoCapA
  global gCDName, gDirSep, gCurrPicNum, gCapViewCastNum
  cursor(200)
  puppetSprite(46, 1)
  set n to "C" & string(gCurrPicNum)
  set the member of sprite 46 to the number of member n
  updateStage()
  set the locH of sprite 46 to the locH of sprite 3
end

on restartAutoLoop
  global gAutoYearList, gAutoSoundList, gAutoCaptions, gAuto, gPicSort, gAutoDoneFlags, gYearIndex, gSlideDelay, gCurrPicNum, gJumpList
  if the hilite of cast "Narrative" = 1 then
    set gAutoYearList to []
    if the hilite of cast "optionBy Year" = 1 then
      setAt(gAutoYearList, 1, the hilite of cast "option1982")
      setAt(gAutoYearList, 2, the hilite of cast "option1983")
      setAt(gAutoYearList, 3, the hilite of cast "option1984")
    end if
    set gAutoCaptions to the hilite of cast "optionCaptions"
    set gAutoSoundList to []
    if the hilite of cast "optionSpeech" = 1 then
      setAt(gAutoSoundList, 1, the hilite of cast "optionLebanese")
      setAt(gAutoSoundList, 2, the hilite of cast "optionIsraeli")
      set gSlideDelay to 0
    end if
    set gAuto to 1
    if gAutoYearList = [] then
      set gPicSort to "Editorial"
      set gAutoDoneFlags to list(0, 0, 0, 0)
      if gCurrPicNum = 71 then
        set gCurrPicNum to 0
      end if
      if the machineType < 256 then
        if the controlDown = 1 then
          set gCurrPicNum to 0
        end if
      end if
    else
      set gPicSort to "Time"
      set gAutoDoneFlags to list(0, 0, 0, 0)
      if the machineType < 256 then
        if the controlDown = 1 then
          set gYearIndex to 0
        end if
      end if
    end if
    updateStage()
    set the mouseUpScript to "autoOff"
  end if
end

on autoLoop
  global gAutoYearList, gAutoSoundList, gAutoCaptions, gAuto, gCDName, gDirSep, gCurrPicNum, gImageLocation, gCapViewCastNum, gMidStage, gAutoDoneFlags, gPicSort, gSoundPlaying, gYearData, gYearIndex, gSlideDelay
  if gPicSort = "Editorial" then
    checkSound()
    if getAt(gAutoDoneFlags, 1) = 0 then
      if gCurrPicNum = 59 then
        cursor(4)
        autoOff()
        abortSound()
        set the visible of sprite 43 to 0
        puppetTransition(23)
        go("pc")
        exit
      end if
      getNextEditMain()
      set oldDelay to gSlideDelay
      set gSlideDelay to 2
      myslideDelay()
      set gSlideDelay to oldDelay
      setAt(gAutoDoneFlags, 1, 1)
      exit
    end if
    if gAutoCaptions = 1 then
      if getAt(gAutoDoneFlags, 2) = 0 then
        autoCapA()
        setAt(gAutoDoneFlags, 2, 1)
        exit
      end if
    end if
    myslideDelay()
    set it to count(gAutoSoundList)
    if it = 0 then
      setAt(gAutoDoneFlags, 3, 1)
      setAt(gAutoDoneFlags, 4, 1)
    else
      if it = 2 then
        if getAt(gAutoDoneFlags, 3) = 0 then
          if getAt(gAutoSoundList, 1) = 1 then
            LebaneseSnd()
            checkSound()
            setAt(gAutoDoneFlags, 3, 1)
            exit
          else
            setAt(gAutoDoneFlags, 3, 1)
          end if
        end if
        if gSoundPlaying = 0 then
          if getAt(gAutoDoneFlags, 4) = 0 then
            if getAt(gAutoSoundList, 2) = 1 then
              if getAt(gAutoSoundList, 1) = 1 then
                pauseSnd()
              end if
              israeliSnd()
              checkSound()
              setAt(gAutoDoneFlags, 4, 1)
              exit
            else
              setAt(gAutoDoneFlags, 4, 1)
            end if
          end if
        end if
      end if
    end if
    if gSoundPlaying = 0 then
      if getAt(gAutoDoneFlags, 4) = 1 then
        if gAutoCaptions = 1 then
          set the locH of sprite 46 to -1000
          updateStage()
          puppetSprite(46, 0)
        end if
        set gAutoDoneFlags to list(0, 0, 0, 0)
      end if
    end if
  else
    checkSound()
    if max(gAutoYearList) = 0 then
      cursor(4)
      autoOff()
      abortSound()
      set the visible of sprite 43 to 0
      puppetTransition(23)
      go("pc")
      exit
    end if
    if getAt(gAutoYearList, 1) = 1 then
      if getAt(gAutoDoneFlags, 1) = 0 then
        set gYearData to list(6, 11, 13, 14, 15, 18, 19, 34, 38, 43, 44, 54, 55, 59, 60, 67)
        nextTimeSlide(1)
        exit
      end if
    else
      if getAt(gAutoYearList, 2) = 1 then
        if getAt(gAutoDoneFlags, 1) = 0 then
          set gYearData to list(3, 4, 5, 8, 9, 10, 12, 16, 17, 20, 21, 23, 24, 25, 26, 27, 28, 30, 31, 32, 35, 36, 37, 42, 48, 49, 50, 53, 57, 58, 63, 66, 70, 71)
          nextTimeSlide(2)
          exit
        end if
      else
        if getAt(gAutoYearList, 3) = 1 then
          if getAt(gAutoDoneFlags, 1) = 0 then
            set gYearData to list(1, 2, 7, 22, 29, 33, 39, 40, 41, 45, 46, 47, 51, 52, 61, 62, 64, 65, 68, 69, 56)
            nextTimeSlide(3)
            exit
          end if
        end if
      end if
    end if
    if gAutoCaptions = 1 then
      if getAt(gAutoDoneFlags, 2) = 0 then
        autoCapA()
        setAt(gAutoDoneFlags, 2, 1)
        exit
      end if
    end if
    myslideDelay()
    set it to count(gAutoSoundList)
    if it = 0 then
      setAt(gAutoDoneFlags, 3, 1)
      setAt(gAutoDoneFlags, 4, 1)
    else
      if it = 2 then
        if getAt(gAutoDoneFlags, 3) = 0 then
          if getAt(gAutoSoundList, 1) = 1 then
            LebaneseSnd()
            checkSound()
            setAt(gAutoDoneFlags, 3, 1)
            exit
          else
            setAt(gAutoDoneFlags, 3, 1)
          end if
        end if
        if gSoundPlaying = 0 then
          if getAt(gAutoDoneFlags, 4) = 0 then
            if getAt(gAutoSoundList, 2) = 1 then
              if getAt(gAutoSoundList, 1) = 1 then
                pauseSnd()
              end if
              israeliSnd()
              checkSound()
              setAt(gAutoDoneFlags, 4, 1)
              set exitFlag to 1
            else
              setAt(gAutoDoneFlags, 4, 1)
            end if
          end if
        end if
      end if
    end if
    if gSoundPlaying = 0 then
      if getAt(gAutoDoneFlags, 4) = 1 then
        if gAutoCaptions = 1 then
          set the locH of sprite 46 to -1000
          updateStage()
          puppetSprite(46, 0)
        end if
        set gAutoDoneFlags to list(0, 0, 0, 0)
      end if
    end if
  end if
end

on getNextEditSlide
  global gCurrPicNum
  duplicate(cast integer(gCurrPicNum + 520), 9)
  set gCurrPicNum to gCurrPicNum + 1
  unLoadCast(integer(gCurrPicNum + 518))
end

on nextTimeSlide yearIndex
  global gYearData, gYearIndex, gCurrPicNum, gAutoYearList, gAutoDoneFlags
  if count(gYearData) = gYearIndex then
    set gYearIndex to 0
    setAt(gAutoYearList, yearIndex, 0)
  else
    set gYearIndex to gYearIndex + 1
    set gCurrPicNum to getAt(gYearData, gYearIndex)
    setAt(gAutoDoneFlags, 1, 1)
    duplicate(cast integer(gCurrPicNum + 519), 9)
    if gYearIndex > 1 then
      unLoadCast(integer(getAt(gYearData, gYearIndex - 1)))
    end if
  end if
end

on QTBtnLoop QTSpr
  global gCapUp, gCurrPicNum
  if gCapUp = 0 then
    hideem(QTSpr)
    showEm(QTSpr)
    set the movieRate of sprite QTSpr to 2
  end if
end

on doContents
  global gMapUp
  if gMapUp = 1 then
    set the locH of sprite 47 to -1000
    set the locV of sprite 47 to 0
    puppetSprite(47, 0)
    puppetSprite(3, 0)
    updateStage()
    set the locV of sprite 10 to -1000
    updateStage()
    puppetSprite(10, 0)
    set gMapUp to 0
  end if
  abortSound()
  set the visible of sprite 43 to 0
  go("Contents")
end

on doThumbs
  global gMapUp
  if gMapUp = 1 then
    set the locH of sprite 47 to -1000
    set the locV of sprite 47 to 0
    puppetSprite(47, 0)
    puppetSprite(3, 0)
    updateStage()
    set the locV of sprite 10 to -1000
    updateStage()
    puppetSprite(10, 0)
    set gMapUp to 0
  end if
  cursor(4)
  abortSound()
  set the visible of sprite 44 to 0
  go("PreEditorial")
end

on doCaption2
  global gCDName, gDirSep, gCurrPicNum, gCapUp, gCapViewCastNum, gMidStage, gCapClix
  set the visible of sprite 39 to 0
  updateStage()
  puppetSprite(46, 1)
  set n to "C" & string(gCurrPicNum)
  set the member of sprite 46 to the number of member n
  updateStage()
  set the locH of sprite 46 to the locH of sprite 3
  updateStage()
  set gCapUp to 1
  set gCapClix to 0
  cursor([330, 339])
end

on doMap
  global gFlasherCount, gFlasherRate, gCurrPicNum, gMapUp
  cursor(4)
  if gMapUp = 0 then
    set gMapUp to 1
    set gFlasherCount to gFlasherRate
    puppetSprite(10, 1)
    set p to "Map" & string(gCurrPicNum)
    set the castNum of sprite 10 to the number of member p
    set the locV of sprite 10 to the locV of sprite 3
    updateStage()
  else
    set the locH of sprite 47 to -1000
    set the locV of sprite 47 to 0
    puppetSprite(47, 0)
    puppetSprite(3, 0)
    updateStage()
    set the locV of sprite 10 to -1000
    updateStage()
    puppetSprite(10, 0)
    set gMapUp to 0
  end if
end

on israeliSnd
  global gSoundSet, gLebOrIs, gCurrPicNum, gSoundPlaying
  if (gSoundPlaying = 1) and (gLebOrIs = "i") then
    abortSound()
  else
    abortSound()
    set gLebOrIs to "i"
    set subDir to getMyOrdinal(gCurrPicNum)
    set gSoundSet to scanSndDir(subDir)
  end if
end

on LebaneseSnd
  global gSoundSet, gLebOrIs, gCurrPicNum, gSoundPlaying
  if (gSoundPlaying = 1) and (gLebOrIs = "L") then
    abortSound()
  else
    abortSound()
    set gLebOrIs to "L"
    set subDir to getMyOrdinal(gCurrPicNum)
    set gSoundSet to scanSndDir(subDir)
  end if
end

on getMyOrdinal n
  return line n of the text of cast "ordinals"
end

on hideem sprNum
  set the movieRate of sprite 39 to 0
  set the movieRate of sprite 40 to 0
  set the movieRate of sprite 41 to 0
  set the movieRate of sprite 42 to 0
  set the movieRate of sprite 43 to 0
  set the movieRate of sprite 44 to 0
  if sprNum <> 39 then
    set the visible of sprite 39 to 0
  end if
  if sprNum <> 40 then
    set the visible of sprite 40 to 0
  end if
  if sprNum <> 41 then
    set the visible of sprite 41 to 0
  end if
  if sprNum <> 42 then
    set the visible of sprite 42 to 0
  end if
  if sprNum <> 43 then
    set the visible of sprite 43 to 0
  end if
  if sprNum <> 44 then
    set the visible of sprite 44 to 0
  end if
  updateStage()
end

on showEm sprNum
  cursor(-1)
  set the visible of sprite sprNum to 1
  set the movieRate of sprite sprNum to 1
  updateStage()
end

on chartPrevNext
  global gCurrChart, gMidStage, gCDName, gDirSep
  if the visible of sprite 4 = 0 then
    exit
  end if
  set chartList to [5, 9, 11, 15]
  set index to getPos(chartList, gCurrChart)
  if index = 0 then
    set index to 1
  end if
  if the mouseH > gMidStage then
    if index = 4 then
      set gCurrChart to getAt(chartList, 1)
    else
      set gCurrChart to getAt(chartList, index + 1)
    end if
  else
    if index = 1 then
      set gCurrChart to getAt(chartList, count(chartList))
    else
      set gCurrChart to getAt(chartList, index - 1)
    end if
  end if
  cursor(4)
  puppetSprite(4, 1)
  set the stretch of sprite 4 to 0
  set chartFile to item 2 of line gCurrChart of the text of cast "ChartsIndex"
  set the castNum of sprite 4 to the number of member chartFile
  chartDisplay()
end

on chartDisplay
  global gCurrChart
  puppetSprite(7, 1)
  set it to "n" & string(gCurrChart)
  set the castNum of sprite 7 to the number of member it
  updateStage()
  set jump to the height of sprite 2 + 7
  puppetSprite(2, 1)
  set ln to gCurrChart - 1
  set v to (ln * jump) + 17
  set the locV of sprite 2 to v
  updateStage()
end
